Quote
This API is used to obtain the basic information of securities.
message MultiSecurityRequest {
repeated string symbol = 1;
}
message SecurityStaticInfoResponse {
repeated StaticInfo secu_static_info = 1;
}
Quote Permission RequiredFree
Included with OpenAPI activation — no extra purchase needed.
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
symbol | string[] | Required | Security code list, in ticker.region format; max 500 symbols per request |
Response fields
| Name | Type | Required | Description |
|---|---|---|---|
secu_static_info | object[] | Optional | Securities Basic Information |
└ symbol | string | Optional | Security code |
└ name_cn | string | Optional | Security name (zh-CN) |
└ name_en | string | Optional | Security name (en) |
└ name_hk | string | Optional | Security name (zh-HK) |
└ exchange | string | Optional | Exchange which the security belongs to |
└ currency | string | Optional | Trading currency (CNY/USD/SGD/HKD) |
└ lot_size | int32 | Optional | Lot size |
└ total_shares | int64 | Optional | Total shares |
└ circulating_shares | int64 | Optional | Circulating shares |
└ hk_shares | int64 | Optional | HK shares (only HK stocks) |
└ eps | string | Optional | Earnings per share |
└ eps_ttm | string | Optional | Earnings per share (TTM) |
└ bps | string | Optional | Net assets per share |
└ dividend_yield | string | Optional | Dividend yield |
└ stock_derivatives | int32[] | Optional | Types of supported derivatives (1-Option, 2-Warrant) |
└ board | string | Optional | The board to which the security belongs |
Response JSON example
{
"secu_static_info": [
{
"symbol": "700.HK",
"name_cn": "腾讯控股",
"name_en": "TENCENT",
"exchange": "SEHK",
"currency": "HKD",
"lot_size": 100,
"total_shares": 9612464038,
"eps": "28.4394",
"board": "HKEquity"
}
]
}